[arch-commits] Commit in john/repos (extra-i686 extra-i686/PKGBUILD)

Eric Belanger eric at archlinux.org
Sat Aug 16 00:44:42 EDT 2008


    Date: Saturday, August 16, 2008 @ 00:44:42
  Author: eric
Revision: 8724

Merged revisions 2-8723 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/john/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r8723 | eric | 2008-08-16 00:44:21 -0400 (Sat, 16 Aug 2008) | 1 line
  
  adding md5sums, adding changes in x86_64 branch to trunk
........

Modified:
  john/repos/extra-i686/	(properties)
  john/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)


Property changes on: john/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /john/trunk:1
   + /john/trunk:1-8723

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-16 04:44:21 UTC (rev 8723)
+++ extra-i686/PKGBUILD	2008-08-16 04:44:42 UTC (rev 8724)
@@ -7,12 +7,15 @@
 pkgver=1.7.0.2
 pkgrel=3
 pkgdesc="John the Ripper is a fast password cracker. Additional patches (NTLM, MySQL, Kerberos V5, etc.) included."
+arch=(i686 x86_64)
 url="http://www.openwall.com/$pkgname/"
 depends=('openssl')
 source=(http://www.openwall.com/$pkgname/f/$pkgname-$pkgver.tar.gz \
 	http://www.openwall.com/john/contrib/john-1.7-all-4.diff.gz \
 	http://www2.psy.uq.edu.au/~ftp/Crypto/DES/libdes-4.04b.tar.gz \
 	params.h.patch)
+md5sums=('084fa03f265491ef7e32c05e9fb027db' '4429722ba242a5a33ca8ebf45fd42797'\
+         'c8d5c69f86c2eedb485583b0305284a1' 'f69ed632eba8fb9e45847a4b4a323787')
 
 build() {
 	# jumbo patch
@@ -22,13 +25,21 @@
 
 	# patch default params
 	patch -p0 < ${startdir}/src/params.h.patch
-	sed -i 's|CFLAGS = -c -Wall -O2|CFLAGS = -c -Wall -O2 -march=i686 -DJOHN_SYSTEMWIDE=1|' Makefile
+	if [ "$CARCH" == "x86_64" ]; then
+	    sed -i 's|CFLAGS = -c -Wall -O2|CFLAGS = -c -Wall -O2 -march=x86-64 -DJOHN_SYSTEMWIDE=1|' Makefile
+	    sed -i 's|^LDFLAGS =\(.*\)|LDFLAGS =\1 -lm|' Makefile
+	    sed -i -e 's|-m486||g' Makefile
+	  else sed -i 's|CFLAGS = -c -Wall -O2|CFLAGS = -c -Wall -O2 -march=i686 -DJOHN_SYSTEMWIDE=1|' Makefile
+	fi
 	sed -i 's|LIBS = -ldes|LIBS = -ldes -Ldes|' Makefile
 	sed -i 's|#include <des.h>|#include "des/des.h"|' KRB5_fmt.c
 	sed -i 's|#include <des.h>|#include "des/des.h"|' KRB5_std.h
 
 	# build john
-	make linux-x86-mmx || return 1
+	if [ "$CARCH" == "x86_64" ]; then
+	    make linux-x86-64 || return 1
+	  else make linux-x86-mmx || return 1
+	fi
 
 	# config file
 	mkdir -p ${startdir}/pkg/etc/john
@@ -43,7 +54,10 @@
 
 	# install binaries
 	mkdir -p ${startdir}/pkg/usr/bin
-	make linux-x86-mmx || return 1
+	if [ "$CARCH" == "x86_64" ]; then
+	    make linux-x86-64 || return 1
+	  else 	make linux-x86-mmx || return 1
+	fi
 	install -m755 ${startdir}/src/john-$pkgver/run/john ${startdir}/pkg/usr/bin/john
 	install -m755 ${startdir}/src/john-$pkgver/run/mailer ${startdir}/pkg/usr/bin/john-mailer
 	cd ${startdir}/pkg/usr/bin




More information about the arch-commits mailing list